Package org.eclipse.jgit.api

## Class ReflogCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<Collection<ReflogEntry>>
  - - org.eclipse.jgit.api.ReflogCommand

All Implemented Interfaces:
  `Callable<Collection<ReflogEntry>>`

    public class ReflogCommand
    extends GitCommand<Collection<ReflogEntry>>

The reflog command

See Also:
  Git documentation about reflog

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
`ReflogCommand​(Repository repo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<ReflogEntry>` `call()` Run the reflog command
`ReflogCommand` `setRef​(String ref)` The ref used for the reflog operation.

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflogCommand

    public ReflogCommand​(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### setRef

    public ReflogCommand setRef​(String ref)

The ref used for the reflog operation. If no ref is set, the default value of HEAD will be used.

Parameters:
  `ref` -
Returns:
  `this`

#### call

    public Collection<ReflogEntry> call()
                                 throws GitAPIException,
                                        InvalidRefNameException

Run the reflog command

Specified by:
  `call` in interface `Callable<Collection<ReflogEntry>>`
Specified by:
  `call` in class `GitCommand<Collection<ReflogEntry>>`
Returns:
  T a result. Each command has its own return type
Throws:
  `GitAPIException`
  `InvalidRefNameException`